body.scroll-locked {
  position: fixed
  left: 0
  width: 100%
  height: 100%
  overflow: hidden
}

.modal-b {
  position: fixed
  top: 0
  left: 0
  width: 100%
  height: 100%
  z-index: 1000
  overflow: auto
  -webkit-overflow-scrolling: touch
  display: none
  color: #000000
  text-align: left
  background: rgba(0,0,0,.76)

  &_under {
    z-index:998
  }

  &::-webkit-scrollbar {
    display: none
  }

  &__inner {
    display: flex
    align-items: center
    justify-content: center
    padding: 20px 0
    min-height: 100%
    position: relative
    z-index: 2

    +m() {
      padding:15px
    }

    &_burger {
      +m() {
        padding:12px 15px
        background:#fefeff
        align-items:flex-start
      }
    }

    &_full {
      padding:50px 0
      background:#F3F4F8
      align-items:flex-start

      +m() {
        padding:25px 20px
      }
    }
  }

  &__close {
    position: absolute
    top:5px
    right:10px
    line-height:1
    cursor:pointer
    z-index: 3
    opacity:.5
    font-weight:300
    font-size:30px
    transition:.15s linear
    font-family:'Open Sans', Arial, sans-serif

    +m() {
      right:15px
      top:8px
    }

    &:hover {
      opacity:1
    }
  }

  &__inner_full &__close {
    font-size:68px
    top:-20px

    +m() {
      font-size:30px
      right:0
    }
  }

  &__block {
    background: #FEFEFF
    border-radius: 6px
    position:relative
    width:100%

    &_mini {
      max-width:420px
      padding:35px 20px 40px
    }

    &_small {
      max-width:470px
      padding:40px 45px
    }

    &_medium {
      max-width:650px
      padding:30px 40px 35px
    }

    &_big {
      max-width:1100px
      padding:48px 50px 60px
    }

    +m() {
      padding:35px 20px 30px
      border-radius: 6px
    }
  }

  &__inner_burger &__block {
    padding:0
    border-radius:0
  }

  &__inner_full &__block {
    background:none
    padding:0
  }

  &__title {
    text-transform:uppercase
    margin:0 0 22px
    font-size:18px
    font-weight:700
    font-family:'Open Sans', Arial, sans-serif

    &_big {
      font-size:24px
      font-weight:600
      margin:0 0 40px
    }

    span {
      color:#3B6BE7
    }

    &_middle {
      text-align:center
    }

    +m() {
      font-size:18px
      font-weight:600
      margin:0 0 15px
      text-transform:none

      &_upper {
        text-transform:uppercase
      }
    }
  }

  &__inner_full &__title {
    font-size:28px
    font-weight:bold
    text-transform:none

    +m() {
      font-size:18px
    }
  }

  &__list {
    column-count: 3

    +m() {
      column-count: 2
    }

    &_city {
      column-count: 4

      +m() {
        column-count: 2
      }
    }

    &_company {
      column-count: 2
    }
  }

  &__scroll {
    +m() {
      overflow-x: hidden
      max-height:280px
      overflow-y: scroll
      scrollbar-width: thin

      &::-webkit-scrollbar {
        width: 2px
      }
      &::-webkit-scrollbar-thumb {
        background: rgba(15,6,30,.7)
        border-radius: 8px
      }
    }
  }

  &__item {
    position:relative
    padding-left:30px
    margin:0 0 45px
    font-weight:600
    overflow: hidden
    -webkit-column-break-inside: avoid
    page-break-inside: avoid
    break-inside: avoid
    break-inside: avoid-column

    +m() {
      font-weight:500
      margin:0 0 25px
    }
  }

  &__links {
    color:#8F939A
    font-size:18px
    display:block
    margin:0 0 15px

    +m() {
      margin: 0 0 8px
      font-size:14px
    }

    &:hover {
      color:#010101
    }

    &:last-child {
      margin:0
    }
  }

  &__label {
    position:absolute
    line-height:1
    left:0
    top:0
    font-size:24px
    color:#3B6BE7

    +m() {
      font-size:18px
    }
  }

  &__form {
    display:flex
    flex-wrap:wrap
    justify-content:space-between

    &_max {
      max-width:358px
      margin:0 auto
      display:block
    }

    &_inrow {
      max-width:853px
      margin:0 auto
    }
  }

  &__auto {
    font-size:18px
    font-weight:bold
    margin:10px 0 40px

    +m() {
      font-size:14px
      margin-bottom:30px
      font-weight:600
    }

    a {
        color:#8F939A
        display:flex
        align-items:center

        img {
          display:block
          margin:0 10px 0 0
        }

        &:hover {
          color:#010101
        }
    }
  }

  &__select {
    margin:0 0 20px

    &-links {
      display:flex
      align-items:center
      justify-content:center
      height:45px
      background: #F3F4F8
      border-radius: 3px
      font-size:14px
      font-weight:500
      color:#3B6BE7
    }
  }

  &__field {
    margin:0 0 30px
    width:100%

    &_rate {
      display:flex
      justify-content:center
    }

    +m() {
      margin:0 0 10px
    }

    &_last {
      margin:0 0 10px
    }

    .input-text {
      height:51px
      font-size:14px
      padding:0 12px
    }

    &_street {
      width:calc(55% - 5px)
      margin:0 0 10px
    }

    &_home {
      width:calc(45% - 5px)
      margin:0 0 10px
    }

    &_name {
      width:calc(35% - 10px)
      margin:0 0 10px

      +m() {
        width:100%
      }
    }

    &_phone {
      width:calc(25% - 10px)
      margin:0 0 10px

      +m() {
        width:100%
      }
    }

    &_mini {
      margin:0 0 10px
    }
  }

  &__check {
    padding:10px 0 0

    label {
      font-size:16px
      padding-left:30px

      +m() {
        font-size: 12px
        padding-top: 0
        padding-left: 25px
      }
    }
  }

  &__comment {
    padding:5px 0 0
    text-align:right
    font-size:14px
    font-weight:500
    color:#DDE5ED
  }

  &__submit {
    padding:10px 0 0
    width:100%

    .button {
      height:55px
      font-size:16px
      padding:0
      width:100%
    }

    &_row {
      width:calc(40% - 10px)
      padding:0

      +m() {
        width:100%
      }

      .button {
        height:51px
      }
    }
  }

  &__button {
    padding:10px 0 0
    width:100%

    .button {
      height:55px
      font-size:16px
      padding:0 40px
    }

    &_full {
      .button {
        width:100%
      }
    }
  }

  &__sale {
    margin:-10px 0 0

    &-label {
      font-size:18px
      font-weight:600
      color:#3B6BE7
      margin:0 0 15px
    }

    &-text {
      font-size:14px
      font-weight:500
      color:#8F939A
      margin:0 0 25px

      p {
        margin:0 0 15px
      }

      ul {
        margin:0 0 20px 25px
        list-style:disc

        li {
          margin:0 0 5px

          &:last-child {
            margin:0
          }
        }
      }
    }
  }

  &__note {
    padding:20px 0 0
    text-align:center
    color:#8F939A
    font-size:14px
    font-weight:500

    &_sale {
      text-align:left
      padding:10px 0 0
      color:#3B6BE7
    }

    a {
      color:#8F939A

      &:hover {
        color:#010101
      }
    }
  }

  &__text {
    text-align:center
    font-weight:bold
    font-size:18px
    font-family:'Open Sans', Arial, sans-serif
    color:#8F939A

    p {
      margin:0 0 20px

      span {
        text-transform:uppercase
        color:#3B6BE7
      }
    }

    +m() {
      font-size:14px
      font-weight:500

      p {
        margin:0 0 10px
      }
    }
  }

  &__show {
    display:flex
    justify-content:center
    margin:-25px 0 20px

    +m() {
      margin:0 0 15px
    }

    .sales-b__go {
      color:#8F939A
      font-size:18px
      font-weight:bold

      +m() {
        font-size:14px
      }

      span {
        color:#3B6BE7
        text-decoration:none
      }

      svg {
        fill:#3B6BE7
      }
    }
  }

  &__company {
    padding:20px 0 0

    &-list {
      display:flex
      flex-wrap:wrap
      justify-content:center
      align-items:center
      margin:0 0 -24px

      +m() {
        justify-content:space-between
      }
    }

    &-item {
      background: #FEFEFF
      border: 1px solid #101828
      border-radius: 6px
      display:flex
      align-items:center
      justify-content:center
      width:160px
      height:74px
      padding:5px
      margin:0 12px 24px 0

      +m() {
        margin:0 0 10px
        width:calc(50% - 5px)
      }

      img {
        display:block
        max-width:100%
        height:auto
      }
    }
  }

  &__tariff {
    margin:-10px 0 0

    &-label {
      text-transform:uppercase
      font-size:18px
      font-weight:600
      color:#3B6BE7
      text-align:center
      margin:0 0 20px
    }

    &-info {
      margin:0 0 30px
      padding:20px 0
      border-bottom: 1px solid #DDE5ED
      border-top: 1px solid #DDE5ED
      display:flex
      justify-content:space-between

      .tariffs-b__element {
        margin:0 0 0 30px

        &:first-child {
          margin:0
        }

        &:nth-child(2) {
          margin-right:auto
        }
      }
    }

    &-price {
      font-weight:bold
      font-size:16px
      color:#B6B4BF
      width:100%
      margin:5px 0 10px

      +m() {
        font-size:14px
      }
    }

    &-row {
      display:flex
      align-items:center
      margin:0 0 5px
      justify-content:space-between

      span:last-child {
        text-align:right
      }
    }
  }

  &__desc {
    &-label {
      margin:0 0 15px
      font-weight:600
      color:#3B6BE7
      font-size:18px

      +m() {
        font-size:14px
        margin:0 0 10px
      }
    }

    &-text {
      font-size:18px
      font-weight:600
      color:#8F939A
      margin:0 0 30px
      max-width:850px

      p {
        margin:0 0 15px
      }

      +m() {
        font-size:14px
        margin:0 0 20px

        p {
          margin:0 0 10px
        }
      }
    }

    &-checks {
      margin:0 0 35px
      display:flex
      align-items:center
      font-weight:600
      font-size:18px

      +m() {
        font-size:14px
        flex-wrap:wrap
      }
    }

    &-list {
      display:flex
      align-items:center
      margin:0 0 0 40px

      +m() {
        margin:10px 0 0
      }
    }

    &-check {
      margin:0 20px 0 0
      position:relative
      padding-left:22px

      &:before {
        width:16px
        height:16px
        content:''
        position:absolute
        left:0
        top:50%
        transform:translateY(-50%)
        border: 1px solid #101828
      }
    }

    &-grid {
      display:flex
      justify-content:space-between
      flex-wrap:wrap
      margin:0 0 24px
    }

    &-left {
      width:calc(65% - 12px)

      +m() {
        order:0
        margin:0 0 20px
        width:100%
      }
    }

    &-right {
      width:calc(35% - 12px)

      +m() {
        order:1
        width:100%
      }
    }

    &-row {
      margin:0 0 24px

      &:last-child {
        margin:0
      }
    }

    &-table {
      border: 1px solid #B6B4BF
      border-radius: 6px

      +m() {
        border-radius:3px
      }

      td {
        font-size:18px
        font-weight:600
        color:#8F939A
        padding:10px 25px
        border-right: 1px solid #B6B4BF
        width:60%

        +m() {
          padding:10px
          font-size:14px
          font-weight:500
        }

        &:first-child {
          width:40%
        }

        &:last-child {
          border:0
        }
      }

      tr:first-child td {
        padding-top:20px

        +m() {
          padding-top:10px
        }
      }

      tr:last-child td {
        padding-bottom:20px

        +m() {
          padding-bottom:10px
        }
      }
    }

    &-block {
      font-size:18px
      font-weight:600
      color:#8F939A
      padding:20px 25px
      border: 1px solid #B6B4BF
      border-radius: 6px
      height:calc(100% - 38px)

      +m() {
        padding:10px
        border-radius:3px
        font-size:14px
        font-weight:500
        height:auto
      }

      p {
        margin:0 0 15px

        +m() {
          &:last-child {
            margin:0
          }
        }
      }
    }
  }

  &__support {
    &-item {
      margin:0 0 15px
    }

    &-phone {
      margin:0 0 10px
      font-weight:600
      font-size:18px
      color:#3B6BE7

      a {
        color:#3B6BE7
      }
    }

    &-text {
      color: #8F939A
      font-size:14px
      font-weight:500
    }

    &-note {
      margin:10px 0 0
      font-size:14px
      font-weight:bold
      color:#8F939A
    }
  }

  &__element {
    margin:0 0 15px

    &-label {
      margin:0 0 10px
      font-size:18px
      color:#3B6BE7
      font-weight:600

      +m() {
        font-size:15px
        margin:0 0 3px
      }
    }

    &-list {
      display:flex
      flex-wrap:wrap
      justify-content:space-between

      .input-text {
        width:100%
        font-size:14px

        &::placeholder {
          color:#B9B4BF
        }
      }

      &_w3 {
        .input-text {
          width:calc(33.3% - 7px)
        }
      }

      &_w2 {
        .input-text {
          width:calc(50% - 7px)

          &_full {
            width:100%
            margin:0 0 14px
          }
        }
      }
    }
  }

  &__city {
    max-width:380px

    &_margin {
      margin:0 0 30px
    }

    .input-text {
      background:#fff
    }
  }

}
